<?php $postTitleList = ContentEngageController::getInstance()->entityPostTitle->getTitleList(); ?>

<?php if(!empty($postTitleList)) : ?>

  <table class="table table-striped">
    <thead>
    <tr>
      <th><?php echo __('Title');?></th>
      <th><?php echo __('Total Views');?></th>
      <th><?php echo __('Assigns');?></th>
      <th></th>
    </tr>
    </thead>
    <tbody>
    <?php foreach($postTitleList as $postTitle) : ?>
      <tr class="filter-entries-entry">
        <td><?php echo $postTitle->title;?></td>
        <td><?php echo $postTitle->displays;?></td>
        <td><?php echo $postTitle->assigns;?></td>
        <td style="width: 270px;">
          <a class="btn btn-success"
             href="?page=<?php echo ContentEngageController::getInstance()->pluginSlug;?>&sub-page=view&post-id=<?php echo $postTitle->post_id;?>">
            <?php echo __("Title &raquo;");?>
          </a>
          <a class="btn btn-success"
             href="?page=<?php echo ContentEngageController::getInstance()->pluginSlug;?>&sub-page=view-image&post-id=<?php echo $postTitle->post_id;?>">
            <?php echo __("Image &raquo;");?>
          </a>
          <a class="btn btn-success"
             href="?page=<?php echo ContentEngageController::getInstance()->pluginSlug;?>&sub-page=view-excerpt&post-id=<?php echo $postTitle->post_id;?>">
            <?php echo __("Excerpt &raquo;");?>
          </a>
        </td>
      </tr>
    <?php endforeach;?>
    </tbody>
  </table>
<?php else : ?>
  <div class="alert alert-info">
    <p><?php echo __("You haven't created any ContentEngage Article Title sets.");?></p>
  </div>
<?php endif;?>
