CREATE TABLE IF NOT EXISTS content_engage_post_excerpt (
  id       INT NOT NULL AUTO_INCREMENT ,
  post_id  INT NOT NULL DEFAULT 0,
  content  VARCHAR(1000) NOT NULL DEFAULT '',
  displays INT NOT NULL DEFAULT 0,
  assigns  INT NOT NULL DEFAULT 0,
  PRIMARY  KEY (id))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS content_engage_post_excerpt_assign (
  id INT NOT NULL AUTO_INCREMENT ,
  post_excerpt_id INT NOT NULL DEFAULT 0,
  post_id INT NOT NULL DEFAULT 0,
  ip_address VARCHAR(100) NOT NULL DEFAULT '',
  creation_date TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
  PRIMARY KEY (id))
  CHARACTER SET utf8 COLLATE utf8_general_ci
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS content_engage_post_excerpt_display (
  id INT NOT NULL AUTO_INCREMENT ,
  post_excerpt_id INT NOT NULL DEFAULT 0,
  post_id INT NOT NULL DEFAULT 0,
  ip_address VARCHAR(100) NOT NULL DEFAULT '',
  creation_date TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
  PRIMARY KEY (id))
ENGINE = InnoDB;