<?php $inboundTraffic = $titleOption->uniqueDisplays - $titleOption->assigns;
$inboundTraffic = $inboundTraffic < 0 ? 0 : $inboundTraffic;
$trafficPercent = $inboundTraffic == 0 ? 0 : number_format(($inboundTraffic / $titleOption->uniqueDisplays) * 100, 2);
?>
<tr>
  <?php if(isset($titleOption->image)) : ?>
    <td style="width:200px;"><img src="<?php echo $titleOption->image;?>" style="display:block;width:100%;"></td>
  <?php else : ?>
    <td><?php echo isset($titleOption->title) ? $titleOption->title : $titleOption->excerpt;?></td>
  <?php endif;?>
  <td><?php echo $titleOption->uniqueDisplays;?></td>
  <td><?php echo $inboundTraffic;?></td>
  <td><?php echo $trafficPercent == 0 ?
        "0.00%" :
        ($trafficPercent . '%');
    ?>
  </td>
  <td>
    <?php if($delimiterTitleOption == false) : ?>
      0.00%
    <?php else : ?>
      <?php if($trafficPercent == 0) : ?>
        <span class="text-warning">Undetermined</span>
      <?php elseif($trafficPercent > $delimiterTitleOption) : ?>
        <span class="text-success">
          <?php echo number_format(-100 + ($trafficPercent * 100 / $delimiterTitleOption), 2);?>%
        </span>
      <?php else : ?>
        <span class="text-danger">
          -<?php echo number_format(100 - ($trafficPercent * 100 / $delimiterTitleOption), 2);?>%
        </span>
      <?php endif;?>
    <?php endif; ?>
  </td>
</tr>
<?php $delimiterTitleOption = ($delimiterTitleOption == false ? $trafficPercent : $delimiterTitleOption);?>