<form method="POST" class="form form-horizontal">
  <h2><?php _e("Settings Page");?></h2>

  <div class="form-group">
    <label for="automatic_title_association"
           class="col-sm-3 control-label">
      <?php _e("Homepage Test Mode");?>
    </label>
    <div class="col-sm-9">
      <p>
        <input type="hidden" name="homepage_test_mode" value="0"/>
        <input type="checkbox" name="homepage_test_mode" value="1" <?php echo ContentEngageController::getInstance()->modelSettings->homepageTestMode == 1 ? 'checked="checked"' : '';?>/>
        <?php echo __("Enable Random title on the blog / home page")?>
      </p>
    </div>
  </div>
  <div class="form-group">
    <label for="automatic_title_association"
           class="col-sm-3 control-label">
      <?php _e("Automatic Association");?>
    </label>
    <div class="col-sm-9">
      <p>
        <input type="hidden" name="automatic_title_association" value="0"/>
        <input type="checkbox" name="automatic_title_association" value="1" <?php echo ContentEngageController::getInstance()->modelSettings->automaticTitleAssociation == 1 ? 'checked="checked"' : '';?>/>
        <?php echo __("Enable automatic title and image rotation on the homepage. (In addition to changing when direct linking to the post/page)")?>
      </p>
    </div>
  </div>
  <div class="form-group">
    <label for="automatic_title_association_mode"
           class="col-sm-3 control-label">
      <?php _e("Automatic Association Mode");?>
    </label>
    <div class="col-sm-4 col-xs-6">
      <select id="automatic_title_association_mode" class="form-control" name="automatic_title_association_mode">
        <option value="cookie" <?php echo ContentEngageController::getInstance()->modelSettings->automaticTitleAssociationMode == 'cookie' ? 'selected="selected"' : '';?>>Cookie Based</option>
        <option value="database" <?php echo ContentEngageController::getInstance()->modelSettings->automaticTitleAssociationMode == 'database' ? 'selected="selected"' : '';?>>Database</option>
      </select>
    </div>
  </div>
  <div class="form-group">
    <label for="automatic_title_association"
           class="col-sm-3 control-label">
      <?php _e("Automatic Excerpt Association");?>
    </label>
    <div class="col-sm-9">
      <p>
        <input type="hidden" name="automatic_excerpt_association" value="0"/>
        <input type="checkbox" name="automatic_excerpt_association" value="1" <?php echo ContentEngageController::getInstance()->modelSettings->automaticExcerptAssociation == 1 ? 'checked="checked"' : '';?>/>
        <?php echo __(" Enable automatic excerpt rotation on the homepage.  (In addition to changing when direct linking to the post/page)")?>
      </p>
    </div>
  </div>
  <div class="form-group">
    <label for="default_split_testing_margin"
           class="col-sm-3 control-label">
      <?php _e("Default Split Testing Margin");?>
    </label>
    <div class="col-sm-9">
      <input type="text" name="default_split_testing_margin" value="<?php echo ContentEngageController::getInstance()->modelSettings->defaultSplitTestingMargin;?>"/>
    </div>
  </div>
  <div class="form-group">
    <div class="col-sm-offset-3">
      <input name="<?php echo ContentEngageController::getInstance()->pluginPrefix?>-save-settings" value="Save" type="submit" class="btn btn-success"/>
    </div>
  </div>
</form>