<?php
  $postID               = intval($_GET['post-id']);
  $activeDateList       = ContentEngageController::getInstance()
                            ->entityPostTitle
                            ->getActiveDateList($postID);
  $dateInformationList  = array();
  $totalInformationList = array();

  foreach($activeDateList as $activeDate) {
   $dateInformationList[$activeDate] = ContentEngageController::getInstance()->entityPostTitle->getPostTitleListWithInformationByDate(
       $postID, $activeDate
   );

   foreach($dateInformationList[$activeDate] as $titleOption)
     $totalInformationList[$titleOption->id] = array(
       'title'          => $titleOption->title,
       'assigns'        => $titleOption->assigns + (isset($totalInformationList[$titleOption->id]['assigns']) ? $totalInformationList[$titleOption->id]['assigns'] : 0),
       'displays'       => $titleOption->displays + (isset($totalInformationList[$titleOption->id]['displays']) ? $totalInformationList[$titleOption->id]['displays'] : 0),
       'uniqueDisplays' => $titleOption->uniqueDisplays + (isset($totalInformationList[$titleOption->id]['uniqueDisplays']) ? $totalInformationList[$titleOption->id]['uniqueDisplays'] : 0),
     );
  }
  $totalInformationList = json_decode(json_encode($totalInformationList));
?>

<a href="?page=<?php echo ContentEngageController::getInstance()->pluginSlug;?>" class="btn btn-success">
  &laquo;
  <?php echo __("Back");?>
</a>

<a href="?page=<?php echo ContentEngageController::getInstance()->pluginSlug;?>&sub-page=view-chart&post-id=<?php echo $postID;?>"
   class="btn btn-primary">
  <?php echo __("Chart Statistics");?>
</a>

<div class="clearfix"></div>
<br/>

<table class="table table-sorted">
    <thead>
      <tr>
        <th><?php echo __("Total")?></th>
        <th><?php echo __("Views")?></th>
        <th><?php echo __("Inbound Traffic")?></th>
        <th><?php echo __("Inbound / Views")?></th>
        <th><?php echo __("Improvement")?></th>
      </tr>
    </thead>
    <tbody>
      <?php $delimiterTitleOption = false; ?>
      <?php foreach($totalInformationList as $titleOption) : ?>
        <?php require("_tableInformationRow.php"); ?>
      <?php endforeach; ?>
    </tbody>
  <?php foreach($activeDateList as $activeDate) :  ?>
    <thead>
      <tr>
        <th><?php echo date('M d, Y', strtotime($activeDate));?></th>
        <th><?php echo __("Views")?></th>
        <th><?php echo __("Inbound Traffic")?></th>
        <th><?php echo __("Inbound / Views")?></th>
        <th><?php echo __("Improvement")?></th>
      </tr>
    </thead>
    <tbody>
      <?php $delimiterTitleOption = false; ?>
      <?php foreach($dateInformationList[$activeDate] as $titleOption) : ?>
        <?php require("_tableInformationRow.php"); ?>
      <?php endforeach; ?>
    </tbody>
  <?php endforeach;?>
</table>

